| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csEventFlattener Class Reference

Standard event flattener(also known as serializer). More...

`#include <csutil/cseventflattener.h>`

List of all members.

## Static Public Member Functions
static csEventFlattenerError | Flatten (iObjectRegistry *, iEvent *event, char *buffer)
| Flatten am event.
static csEventFlattenerError | FlattenSize (iObjectRegistry *, iEvent *event, size_t &size)
| Query the size consumed by the flattened event.
static csEventFlattenerError | Unflatten (iObjectRegistry *, iEvent *event, const char *buffer, size_t length)
| Unflatten an event.

## Detailed Description

Standard event flattener(also known as serializer).

Converts events from/to a binary representation. Can be used for e.g. disk storage or network transfer.

Definition at line 54 of file cseventflattener.h.

## Member Function Documentation

static csEventFlattenerError csEventFlattener::Flatten | ( | iObjectRegistry * | ,
|  | iEvent * | event,
|  | char * | buffer |
| ) |  |  | `[static]`

Flatten am event.

Remarks:
  The user is responsible for allocating and deallocating the buffer memory.

static csEventFlattenerError csEventFlattener::FlattenSize | ( | iObjectRegistry * | ,
|  | iEvent * | event,
|  | size_t & | size |
| ) |  |  | `[static]`

Query the size consumed by the flattened event.

static csEventFlattenerError csEventFlattener::Unflatten | ( | iObjectRegistry * | ,
|  | iEvent * | event,
|  | const char * | buffer,
|  | size_t | length |
| ) |  |  | `[static]`

Unflatten an event.

The documentation for this class was generated from the following file:

- csutil/cseventflattener.h